Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Apt-get install <pacote> não funciona...[RESOLVIDO]
22/08/2011, 15:45 (Resposta editada pela última vez em: 26/08/2011 00:08 por jorgetrc.)
Resposta: #1
Apt-get install <pacote> não funciona...[RESOLVIDO]
Olá pessoal, to com um problema ao tentar instalar pacotes no meu sistema debian...
quando digito apt-get install proftpd, por exemplo ou qual quer outro pacote tenho essa menssagem:

Citar:Lendo listas de pacotes... Erro!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_i 18n_Translation-en
E: As listas de pacotes ou os arquivos de estado não puderam ser analisados ou abertos.
se alguém souber alguma dica agradeço desde já...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/08/2011, 16:05
Resposta: #2
RE: Apt-get install <pacote> não funciona...
o aptitude update está sendo executado sem erros?
já tentou mudar os repositórios e testar se ainda assim ocorre o mesmo problema?

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/08/2011, 16:21
Resposta: #3
RE: Apt-get install <pacote> não funciona...
sim dmatrix, o apt-get update roda tranquilo, ja troquei os repositórios também e nada... =/
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/08/2011, 20:01
Resposta: #4
RE: Apt-get install <pacote> não funciona...
vamos tentar refazer a lista de pacotes instalados e ver se resolve:

# mv /var/lib/dpkg/available /var/lib/dpkg/availbleold

agora dê um :
# echo -n >/var/lib/dpkg/available

assim teste novamente fazendo o update e tentando instalar algo.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
23/08/2011, 17:12
Resposta: #5
RE: Apt-get install <pacote> não funciona...
dmatrix o apt-get update deu certo mas instalar algum programa não... =/
deu isso ai>>>

E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/security.debian.org_dists_squeeze_updates_main_i18n_Translation-pt
E: As listas de pacotes ou os arquivos de estado não puderam ser analisados ou abertos.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
24/08/2011, 11:47 (Resposta editada pela última vez em: 24/08/2011 11:48 por dmatrix.)
Resposta: #6
RE: Apt-get install <pacote> não funciona...
deixe somente uma linha de repositórios no /etc/apt/sources.list ou seja comente as security e demais não essenciais.
e tente novamente aptitude update e instalar algo.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
25/08/2011, 01:34
Resposta: #7
RE: Apt-get install <pacote> não funciona...
Dmatrix resolvi o problema aqui,
fui excluindo esses arquivos que tavam dando erro: "Problem with MergeList /var/lib/apt/lists/security.debian.org_dists_squeeze_updates_main_i18n_Translation-pt" até que parou de dar erro ao tentar executar os comandos apt-get update ou upgrade, agora tá tudo certo... Obrigado pelas dicas att...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
25/08/2011, 11:41
Resposta: #8
RE: Apt-get install <pacote> não funciona...
"Resolvi", agora quando to instalando um pacote pelo apt-get install <pacote> ta dando esse erro ae:

dpkg: error: falhou ao abrir arquivo de informações do pacote '/var/lib/dpkg/available' para leitura: Arquivo ou diretório não encontrado
E: Sub-process /usr/bin/dpkg returned an error code (2)
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
25/08/2011, 17:07 (Resposta editada pela última vez em: 25/08/2011 17:07 por Jvianez.)
Resposta: #9
RE: Apt-get install <pacote> não funciona...
ola o problema é que você deletou o renomeio o arquivo available para availableold
no processo acima indicado por dmatrix, entra na pasta /var/lib/dpkg/ e ver se tem o arquivo available e availableold se tiver apaga o available e renomeia o availableold para available

Jvianez
Todo Cristão é Livre use Linux e não seja Pirata.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
26/08/2011, 00:02
Resposta: #10
RE: Apt-get install <pacote> não funciona...
ixi foi bemmm isso mesmo Jvianez, desculpa a fata de atenção ai... vlw pela resposta!!! att...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS